import { BackgroundCircle } from './BackgroundCircle'
import { EyeCircles } from './EyeCircles'
import { MouthArc } from './MouthArc'
import { IrisCircles } from './IrisCircles'
import { PupilCircles } from './PupilCircles'
import { FaceContainer } from './FaceContainer'

export const Face = ({ 
        width, 
        height, 
        centerX, 
        centerY, 
        rad, 
        stroke, 
        leftEyeLoc, 
        rightEyeLoc, 
        eyeY, 
        irisRad, 
        pupilRad, 
        irisColor, 
        pupilColor, 
        mouthRadius, 
        mouthThickness
      }) => (
        	<FaceContainer width={width} height={height} centerX={centerX} centerY={centerY}>
      		<BackgroundCircle radius={rad - stroke} stroke={stroke} />
     		  <EyeCircles leftEyeLoc={leftEyeLoc} rightEyeLoc={rightEyeLoc} eyeY={eyeY} eyeRad={rad / 6} eyeColor={"#ddd"} />
      		<IrisCircles leftEyeLoc={leftEyeLoc} rightEyeLoc={rightEyeLoc} eyeY={eyeY} irisRad={irisRad} irisColor={irisColor} />
      		<PupilCircles leftEyeLoc={leftEyeLoc} rightEyeLoc={rightEyeLoc} eyeY={eyeY} pupilRad={pupilRad} pupilColor={pupilColor} />
      		<MouthArc mouthRadius={mouthRadius} mouthThickness={mouthThickness} />
        </FaceContainer>
      )